RDKit::TDTWriter Class Reference

`#include <MolWriters.h>`

Inheritance diagram for RDKit::TDTWriter:

## Public Member Functions

| TDTWriter (const std::string &fileName)
| TDTWriter (std::ostream *outStream, bool takeOwnership=false)
| ~TDTWriter ()
void | setProps (const STR_VECT &propNames)
| set a vector of property names that are need to be written out for each molecule More...
void | write (const ROMol &mol, int confId=defaultConfId)
| write a new molecule to the file More...
void | flush ()
| flush the ostream More...
void | close ()
| close our stream (the writer cannot be used again) More...
unsigned int | numMols () const
| get the number of molecules written so far More...
void | setWrite2D (bool state=true)
bool | getWrite2D () const
void | setWriteNames (bool state=true)
bool | getWriteNames () const
void | setNumDigits (unsigned int numDigits)
unsigned int | getNumDigits () const
Public Member Functions inherited from RDKit::MolWriter
virtual | ~MolWriter ()

## Detailed Description

The TDTWriter is for writing molecules and properties to TDT files

Definition at line 198 of file MolWriters.h.

## Constructor & Destructor Documentation

## TDTWriter() [1/2]

RDKit::TDTWriter::TDTWriter | ( | const std::string & | fileName | ) |

Parameters

  fileName | : filename to write to ("-" to write to stdout)

## TDTWriter() [2/2]

RDKit::TDTWriter::TDTWriter | ( | std::ostream * | outStream,
|  | bool | takeOwnership = `false`
| ) |  |

## ~TDTWriter()

RDKit::TDTWriter::~TDTWriter | ( |  | ) |

## Member Function Documentation

## close()

void RDKit::TDTWriter::close | ( |  | ) |

inline virtual

close our stream (the writer cannot be used again)

Implements RDKit::MolWriter.

Definition at line 235 of file MolWriters.h.

## flush()

void RDKit::TDTWriter::flush | ( |  | ) |

inline virtual

flush the ostream

Implements RDKit::MolWriter.

Definition at line 222 of file MolWriters.h.

References PRECONDITION.

## getNumDigits()

unsigned int RDKit::TDTWriter::getNumDigits | ( |  | ) | const

inline

Definition at line 258 of file MolWriters.h.

## getWrite2D()

bool RDKit::TDTWriter::getWrite2D | ( |  | ) | const

inline

Definition at line 252 of file MolWriters.h.

## getWriteNames()

bool RDKit::TDTWriter::getWriteNames | ( |  | ) | const

inline

Definition at line 255 of file MolWriters.h.

## numMols()

unsigned int RDKit::TDTWriter::numMols | ( |  | ) | const

inline virtual

get the number of molecules written so far

Implements RDKit::MolWriter.

Definition at line 249 of file MolWriters.h.

## setNumDigits()

void RDKit::TDTWriter::setNumDigits | ( | unsigned int | numDigits | ) |

inline

Definition at line 257 of file MolWriters.h.

## setProps()

void RDKit::TDTWriter::setProps | ( | const STR_VECT & | propNames | ) |

virtual

set a vector of property names that are need to be written out for each molecule

Implements RDKit::MolWriter.

## setWrite2D()

void RDKit::TDTWriter::setWrite2D | ( | bool | state = `true` | ) |

inline

Definition at line 251 of file MolWriters.h.

## setWriteNames()

void RDKit::TDTWriter::setWriteNames | ( | bool | state = `true` | ) |

inline

Definition at line 254 of file MolWriters.h.

## write()

void RDKit::TDTWriter::write | ( | const ROMol & | mol,
|  | int | confId = `defaultConfId`
| ) |  |

virtual

write a new molecule to the file

Implements RDKit::MolWriter.

The documentation for this class was generated from the following file:

- MolWriters.h